package com.fp.portal.test;

import org.junit.Test;

public class TestEjemplos {

	@Test
	public void prueba() {
		Person a = new Person("Juan");
		Person b = a;
		Person c = new Person("Juan");
		System.out.println(a==b);
		System.out.println(a.equals(b));
		System.out.println(a==c);
		System.out.println(a.equals(c));
	}
	
	class Person{
		private String name;
		
		public Person(String name){
			this.name = name;
		}
	}
}
